org.mariadb.jdbc.internal.com.send

## Class SendOldPasswordAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
  - - org.mariadb.jdbc.internal.com.send.SendOldPasswordAuthPacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

    public class SendOldPasswordAuthPacket
    extends AbstractAuthSwitchSendResponsePacket
    implements InterfaceAuthSwitchSendResponsePacket

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket

`authData, packSeq, password, passwordCharacterEncoding`

### Constructor Summary

Constructors
Constructor and Description
`SendOldPasswordAuthPacket(String password, byte[] authData, int packSeq, String passwordCharacterEncoding)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(PacketOutputStream pos)` Send password stream.

### Methods inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket

`handleResultPacket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.com.send.InterfaceAuthSwitchSendResponsePacket

`handleResultPacket`

### Constructor Detail

#### SendOldPasswordAuthPacket

    public SendOldPasswordAuthPacket(String password,
                                     byte[] authData,
                                     int packSeq,
                                     String passwordCharacterEncoding)

### Method Detail

#### send

    public void send(PacketOutputStream pos)
              throws IOException

Send password stream.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `pos` - database socket
Throws:
  `IOException` - if a connection error occur